/**
 *   Copyright 2012 Quest Software, Inc.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package com.quest.oraoop;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class OraOopGenerics {

    public static class ObjectList<T> {

        private List<T> objects;

        public ObjectList() {

            this.objects = new ArrayList<T>();
        }

        public void add(T item) {

            this.objects.add(item);
        }

        public int size() {

            return this.objects.size();
        }

        public T get(int index) {

            return this.objects.get(index);
        }

        public Iterator<T> iterator() {

            return this.objects.iterator();
        }

    }

}
